# -*- coding: utf-8 -*-
from __future__ import unicode_literals

from django.db import models, migrations


class Migration(migrations.Migration):

    dependencies = [
        ("portailuser", "0001_initial"),
    ]

    operations = [
        migrations.CreateModel(
            name="Formation",
            fields=[
                (
                    "id",
                    models.AutoField(
                        verbose_name="ID",
                        serialize=False,
                        auto_created=True,
                        primary_key=True,
                    ),
                ),
                (
                    "nom",
                    models.CharField(
                        max_length=32, verbose_name=b"Nom de la formation"
                    ),
                ),
                (
                    "description",
                    models.TextField(
                        help_text=b"Penser \xc3\xa0 pr\xc3\xa9ciser le niveau pr\xc3\xa9requis, et \xc3\xa9ventuellement d\xc3\xa9tailler le programme\xe2\x80\xa6",
                        verbose_name=b"Description",
                    ),
                ),
                ("date_heure", models.DateTimeField(verbose_name=b"Date et heure")),
                (
                    "duree",
                    models.IntegerField(
                        verbose_name=b"Dur\xc3\xa9e",
                        choices=[
                            (30, b"30 minutes"),
                            (60, b"1 heure"),
                            (90, b"1 heure 30"),
                            (120, b"2 heures"),
                            (150, b"2 heures 30"),
                            (180, b"3 heures"),
                            (210, b"3 heures 30"),
                            (240, b"4 heures"),
                        ],
                    ),
                ),
                (
                    "nb_fixes",
                    models.PositiveSmallIntegerField(
                        default=5, verbose_name=b"Nombre de places (machines fournies)"
                    ),
                ),
                (
                    "nb_portables",
                    models.PositiveSmallIntegerField(
                        default=5, verbose_name=b"Nombre de places (portables)"
                    ),
                ),
                (
                    "lieu",
                    models.CharField(
                        max_length=32, verbose_name=b"Lieu de rendez-vous"
                    ),
                ),
                (
                    "url_support",
                    models.URLField(verbose_name=b"URL du support", blank=True),
                ),
                (
                    "ecole",
                    models.ForeignKey(
                        editable=False, to="portailuser.Ecole", on_delete=models.CASCADE
                    ),
                ),
            ],
            options={},
            bases=(models.Model,),
        ),
        migrations.CreateModel(
            name="Inscription",
            fields=[
                (
                    "id",
                    models.AutoField(
                        verbose_name="ID",
                        serialize=False,
                        auto_created=True,
                        primary_key=True,
                    ),
                ),
                (
                    "a_portable",
                    models.BooleanField(default=False, verbose_name=b"A un portable"),
                ),
                (
                    "formation",
                    models.ForeignKey(
                        verbose_name=b"Formation",
                        to="formations.Formation",
                        on_delete=models.CASCADE,
                    ),
                ),
                (
                    "inscrit",
                    models.ForeignKey(
                        verbose_name=b"Inscrit",
                        to="portailuser.PortailUser",
                        on_delete=models.CASCADE,
                    ),
                ),
            ],
            options={},
            bases=(models.Model,),
        ),
        migrations.AlterUniqueTogether(
            name="inscription", unique_together={("formation", "inscrit")},
        ),
        migrations.AddField(
            model_name="formation",
            name="inscrits",
            field=models.ManyToManyField(
                verbose_name=b"Inscrits",
                editable=False,
                to="portailuser.PortailUser",
                through="formations.Inscription",
                related_name="+",
            ),
            preserve_default=True,
        ),
        migrations.AddField(
            model_name="formation",
            name="responsable",
            field=models.ForeignKey(
                verbose_name=b"Responsable",
                to="portailuser.PortailUser",
                help_text=b"Laissez vide pour utiliser votre nom",
                null=True,
                on_delete=models.CASCADE,
            ),
            preserve_default=True,
        ),
    ]
